#include "B4RDefines.h"
namespace B4R {
			void B4RADS129X::Initialize(UInt DRDY, UInt CS){
				ads= new (backend) ADS129X(DRDY, CS);
			}

			void B4RADS129X::WAKEUP(){
				ads->WAKEUP();	
			}

      void B4RADS129X::STANDBY(){
      	ads->STANDBY();
      }
      
      void B4RADS129X::RESET(){
      	ads->RESET();
      }
      
      void B4RADS129X::START(){
      	ads->START();
      }
      
      void B4RADS129X::STOP(){
      	ads->STOP();
      }
      
      // Data Read Commands
      void B4RADS129X::RDATAC(){
      	ads->RDATAC();
      }
      
      void B4RADS129X::SDATAC(){
      	ads->SDATAC();
      }
      
      void B4RADS129X::RDATA(){
      	ads->RDATA();
      }
      
      // Register Read/Write Commands
      Byte B4RADS129X::RREG(Byte _address){
      	return ads->RREG(_address);
      }
			
      //to read multiple consecutive registers (Datasheet, pg. 38;
			/*
      void B4RADS129X::RREG(Byte _address, Byte _numRegisters, Byte *_data);
      	ads->RREG(_address, _numRegisters, _data); 
      }
			*/
			      
      void B4RADS129X::WREG(Byte _address, Byte _value){
      	ads->WREG(_address, _value);
      }

      // Functions for setup and data retrieval
      Byte B4RADS129X::GetDeviceId(){
      	return ads->getDeviceId();
      }
      
      bool B4RADS129X::GetData(Long *buffer){
      	return ads->getData(buffer);
      }
      
      void B4RADS129X::ConfigChannel(Byte _channel, bool _powerDown, Byte _gain, Byte _mux){
      	ads->configChannel(_channel, _powerDown, _gain, _mux);
      }
      
}
